#!/usr/bin/env python3
from .marshm import ma
from model import Meal
from .ingredientschema import IngredientSchema


class MealSchema(ma.SQLAlchemyAutoSchema):

    # A list of author objects
    authors = ma.Nested(IngredientSchema, many=True)

    class Meta:
        model = Meal
        load_instance = True
